package info.bukova.isspst;

import info.bukova.isspst.data.Address;
import info.bukova.isspst.data.AddressEmb;

import java.util.ArrayList;
import java.util.List;


public class AddressUtils
{
	public static AddressEmb convertAddressToAddressEmb(Address input)
	{
		if (input == null)
		{
			return null;
		}

		AddressEmb output = new AddressEmb(input);
		return output;
	}

	public static List<AddressEmb> convertListAddressToListAddressEmb(List<Address> inputList)
	{
		if (inputList == null)
		{
			return null;
		}

		List<AddressEmb> outputList = new ArrayList<AddressEmb>();

		for (int i = 0; i < inputList.size(); i++)
		{
			Address inputItem = inputList.get(i);
			AddressEmb outputItem = new AddressEmb(inputItem);
			outputList.add(outputItem);
		}

		return outputList;
	}
}
